diff -Nuar a/config.c b/config.c
--- a/config.c	2015-06-28 13:54:18.309999889 +0200
+++ b/config.c	2015-06-28 13:56:49.599999885 +0200
@@ -1,6 +1,6 @@
 #include "queue.h"
 /* Alloca is defined in stdlib.h in NetBSD */
-#ifndef __NetBSD__
+#if !defined(__NetBSD__) && !defined(__FreeBSD__)
 #include <alloca.h>
 #endif
 #include <limits.h>
@@ -24,6 +24,10 @@
 #include <fnmatch.h>
 #include <sys/mman.h>
 
+#if !defined(PATH_MAX) && defined(__FreeBSD__)
+#include <sys/param.h>
+#endif
+
 #include "basenames.h"
 #include "log.h"
 #include "logrotate.h"
diff -Nuar a/logrotate.c b/logrotate.c
--- a/logrotate.c	2015-04-03 09:39:35.000000000 +0200
+++ b/logrotate.c	2015-06-28 13:57:18.449999884 +0200
@@ -1,6 +1,6 @@
 #include "queue.h"
 /* alloca() is defined in stdlib.h in NetBSD */
-#ifndef __NetBSD__
+#if !defined(__NetBSD__) && !defined(__FreeBSD__)
 #include <alloca.h>
 #endif
 #include <limits.h>
@@ -26,6 +26,10 @@
 #include <limits.h>
 #endif
 
+#if !defined(PATH_MAX) && defined(__FreeBSD__)
+#include <sys/param.h>
+#endif
+
 #include "basenames.h"
 #include "log.h"
 #include "logrotate.h"
diff -Nuar a/Makefile b/Makefile
--- a/Makefile	2015-04-03 09:39:35.000000000 +0200
+++ b/Makefile	2015-06-28 13:58:05.729999883 +0200
@@ -22,7 +22,9 @@
 
 ifeq ($(WITH_ACL),yes)
 CFLAGS += -DWITH_ACL
+ifneq ($(OS_NAME),FreeBSD)
 LOADLIBES += -lacl
+endif
 # See pretest
 TEST_ACL=1
 else
